SystemOrganization addCategory: #'TADP-LSD'!

Object subclass: #Computadora
	instanceVariableNames: 'videoCard visualizador disco'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'TADP-LSD'!

Object subclass: #Disco
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'TADP-LSD'!

Object subclass: #Entrada
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'TADP-LSD'!

Entrada subclass: #AV
	instanceVariableNames: ''
	classVariableNames: 'Definicion Refresco'
	poolDictionaries: ''
	category: 'TADP-LSD'!

!AV methodsFor: 'as yet unclassified' stamp: 'TizianoPerezStolfa 4/1/2013 19:35'!
definicion

	^Definicion ! !

!AV methodsFor: 'as yet unclassified' stamp: 'TizianoPerezStolfa 4/1/2013 19:33'!
modificarConsumo: unConsumo

	^unConsumo * 1.1! !

!AV methodsFor: 'as yet unclassified' stamp: 'TizianoPerezStolfa 4/1/2013 20:18'!
tasaDeRefresco 

	^Refresco ! !

!Entrada methodsFor: 'as yet unclassified' stamp: 'TizianoPerezStolfa 4/1/2013 18:19'!
modificarConsumo: unConsumo

	self subclassResponsibility! !

!Entrada methodsFor: 'as yet unclassified' stamp: 'TizianoPerezStolfa 4/1/2013 20:14'!
tasaDeRefresco 

	self subclassResponsibility ! !

Entrada subclass: #HDMI
	instanceVariableNames: 'definicion refresco'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'TADP-LSD'!

!HDMI methodsFor: 'as yet unclassified' stamp: 'TizianoPerezStolfa 4/1/2013 19:35'!
definicion

	^definicion ! !

!HDMI methodsFor: 'as yet unclassified' stamp: 'TizianoPerezStolfa 4/1/2013 19:33'!
modificarConsumo: unConsumo

	^unConsumo * 1.2! !

!HDMI methodsFor: 'as yet unclassified' stamp: 'TizianoPerezStolfa 4/1/2013 20:21'!
tasaDeRefresco 

	^refresco ! !

Entrada subclass: #RF
	instanceVariableNames: ''
	classVariableNames: 'Definicion Refresco'
	poolDictionaries: ''
	category: 'TADP-LSD'!

!RF methodsFor: 'as yet unclassified' stamp: 'TizianoPerezStolfa 4/1/2013 19:35'!
definicion

	^Definicion ! !

!RF methodsFor: 'as yet unclassified' stamp: 'TizianoPerezStolfa 4/1/2013 19:33'!
modificarConsumo: unConsumo

	^unConsumo! !

!RF methodsFor: 'as yet unclassified' stamp: 'TizianoPerezStolfa 4/1/2013 20:19'!
tasaDeRefresco 

	^Refresco ! !

Entrada subclass: #VGA
	instanceVariableNames: 'definicion'
	classVariableNames: 'Refresco'
	poolDictionaries: ''
	category: 'TADP-LSD'!

!VGA methodsFor: 'as yet unclassified' stamp: 'TizianoPerezStolfa 4/1/2013 19:35'!
definicion

	^definicion ! !

!VGA methodsFor: 'as yet unclassified' stamp: 'TizianoPerezStolfa 4/1/2013 19:34'!
modificarConsumo: unConsumo

	^unConsumo * 0.001 * (self definicion)! !

!VGA methodsFor: 'as yet unclassified' stamp: 'TizianoPerezStolfa 4/1/2013 20:19'!
tasaDeRefresco 

	^Refresco ! !

Object subclass: #Tecnologia
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'TADP-LSD'!

Tecnologia subclass: #CRT
	instanceVariableNames: ''
	classVariableNames: 'Consumo Definicion'
	poolDictionaries: ''
	category: 'TADP-LSD'!

!CRT methodsFor: 'as yet unclassified' stamp: 'TizianoPerezStolfa 4/1/2013 19:45'!
definicionDeTamanio: unTamanio conPPP: unPPP

	^Definicion ! !

!CRT methodsFor: 'as yet unclassified' stamp: 'TizianoPerezStolfa 4/1/2013 19:23'!
modificadorConsumo

	^Consumo ! !

Tecnologia subclass: #LCD
	instanceVariableNames: ''
	classVariableNames: 'Consumo'
	poolDictionaries: ''
	category: 'TADP-LSD'!

!LCD methodsFor: 'as yet unclassified' stamp: 'TizianoPerezStolfa 4/1/2013 19:23'!
modificadorConsumo

	^Consumo ! !

Tecnologia subclass: #LED
	instanceVariableNames: ''
	classVariableNames: 'Consumo'
	poolDictionaries: ''
	category: 'TADP-LSD'!

!LED methodsFor: 'as yet unclassified' stamp: 'TizianoPerezStolfa 4/1/2013 19:24'!
modificadorConsumo

	^Consumo ! !

!Tecnologia methodsFor: 'as yet unclassified' stamp: 'TizianoPerezStolfa 4/1/2013 19:22'!
calcularConsumoDeTamanio: unTamanio
	
	^unTamanio * (self modificadorConsumo) ! !

!Tecnologia methodsFor: 'as yet unclassified' stamp: 'TizianoPerezStolfa 4/1/2013 19:50'!
definicionDeTamanio: unTamanio conPPP: unPPP

	^unPPP * (((unTamanio squared)/2) sqrt)! !

!Tecnologia methodsFor: 'as yet unclassified' stamp: 'TizianoPerezStolfa 4/1/2013 19:22'!
modificadorConsumo

	self subclassResponsibility ! !

Object subclass: #VideoCard
	instanceVariableNames: 'consumo'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'TADP-LSD'!

VideoCard subclass: #GPU
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'TADP-LSD'!

!GPU methodsFor: 'as yet unclassified' stamp: 'TizianoPerezStolfa 4/2/2013 10:33'!
aptaParaJuegosConPixeles: cantPixeles

	^True ! !

VideoCard subclass: #OnBoard
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'TADP-LSD'!

!OnBoard methodsFor: 'as yet unclassified' stamp: 'TizianoPerezStolfa 4/2/2013 10:33'!
aptaParaJuegosConPixeles: cantPixeles

	^False! !

!VideoCard methodsFor: 'as yet unclassified' stamp: 'TizianoPerezStolfa 4/2/2013 10:32'!
aptaParaJuegosConPixeles: cantPixeles

	^(cantPixeles ln / self consumo) > 4 ! !

Object subclass: #Visualizador
	instanceVariableNames: 'tecnologia tamanio ppp conector'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'TADP-LSD'!

Visualizador subclass: #Pantalla
	instanceVariableNames: ''
	classVariableNames: 'Refresco'
	poolDictionaries: ''
	category: 'TADP-LSD'!

!Pantalla methodsFor: 'as yet unclassified' stamp: 'TizianoPerezStolfa 4/1/2013 19:54'!
tasaDeRefresco 

	^Refresco ! !

Visualizador subclass: #TV
	instanceVariableNames: ''
	classVariableNames: 'Refresco'
	poolDictionaries: ''
	category: 'TADP-LSD'!

TV subclass: #SmartTV
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'TADP-LSD'!

!SmartTV methodsFor: 'as yet unclassified' stamp: 'TizianoPerezStolfa 4/1/2013 19:55'!
tasaDeRefresco 

	^(super tasaDeRefresco) * 1.5  ! !

!TV methodsFor: 'as yet unclassified' stamp: 'TizianoPerezStolfa 4/1/2013 19:55'!
tasaDeRefresco 

	^Refresco ! !

!Visualizador methodsFor: 'as yet unclassified' stamp: 'TizianoPerezStolfa 4/1/2013 18:17'!
consumoPorHora 

	^conector modificarConsumo: (tecnologia calcularConsumoDeTamanio: tamanio) ! !

!Visualizador methodsFor: 'as yet unclassified' stamp: 'TizianoPerezStolfa 4/1/2013 19:54'!
tasaDeRefresco

	self subclassResponsibility ! !

!Visualizador methodsFor: 'as yet unclassified' stamp: 'TizianoPerezStolfa 4/1/2013 20:15'!
tasaDeRefrescoReal

	self tasaDeRefresco < conector tasaDeRefresco ifTrue: [^self tasaDeRefresco] ifFalse: [conector tasaDeRefresco]! !
